Debian Bug report logs - #436995
Incorrect values for root delay and dispersion

version graph

Package: openntpd; Maintainer for openntpd is Ulises Vitulli <dererk@debian.org>; Source for openntpd is src:openntpd.

Reported by: Juliusz Chroboczek <Juliusz.Chroboczek@pps.jussieu.fr>

Date: Fri, 10 Aug 2007 00:54:02 UTC

Severity: important

Tags: confirmed

Found in version openntpd/3.9p1-4

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Kurt Roeckx <kurt@roeckx.be>:
Bug#436995; Package openntpd. Full text and rfc822 format available.

Acknowledgement sent to Juliusz Chroboczek <Juliusz.Chroboczek@pps.jussieu.fr>:
New Bug report received and forwarded. Copy sent to Kurt Roeckx <kurt@roeckx.be>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Juliusz Chroboczek <Juliusz.Chroboczek@pps.jussieu.fr>
To: submit@bugs.debian.org
Subject: Incorrect values for root delay and dispersion
Date: Fri, 10 Aug 2007 02:53:18 +0200
Package: openntpd
Version: 3.9p1-4
Severity: important

When acting as a server, OpenNTP sends replies with incorrect root
delay and dispersion values.  Since both of these values are smaller
then they should be, this has the potential of confusing legit NTP
clients, and might potentially cause synchronisation loops.


                                        Juliusz



Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#436995; Package openntpd. (Tue, 08 Jun 2010 07:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ulises Vitulli <dererk@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Tue, 08 Jun 2010 07:03:03 GMT) Full text and rfc822 format available.

Message #10 received at 436995@bugs.debian.org (full text, mbox):

From: Ulises Vitulli <dererk@debian.org>
To: Juliusz Chroboczek <Juliusz.Chroboczek@pps.jussieu.fr>
Cc: 436995@bugs.debian.org
Subject: Re: Incorrect values for root delay and dispersion
Date: Tue, 08 Jun 2010 03:53:46 -0300
[Message part 1 (text/plain, inline)]
On -10/01/37 16:59, Juliusz Chroboczek wrote:
> Package: openntpd
> Version: 3.9p1-4
> Severity: important
>
> When acting as a server, OpenNTP sends replies with incorrect root
> delay and dispersion values.  Since both of these values are smaller
> then they should be, this has the potential of confusing legit NTP
> clients, and might potentially cause synchronisation loops.
>   

Hi Juliusz!

Can you check if this problem still exists at newer packages?
If you could test it at version 3.9p1+debian-3 would be great. If it
does, can you provide some logs from server an client(s) ?


Greetings,

Dererk

-- 
BOFH excuse #408:
Computers under water due to SYN flooding.


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ulises Vitulli <dererk@debian.org>:
Bug#436995; Package openntpd. (Sat, 12 Jun 2010 00:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Juliusz Chroboczek <Juliusz.Chroboczek@pps.jussieu.fr>:
Extra info received and forwarded to list. Copy sent to Ulises Vitulli <dererk@debian.org>. (Sat, 12 Jun 2010 00:27:03 GMT) Full text and rfc822 format available.

Message #15 received at 436995@bugs.debian.org (full text, mbox):

From: Juliusz Chroboczek <Juliusz.Chroboczek@pps.jussieu.fr>
To: Ulises Vitulli <dererk@debian.org>
Cc: 436995@bugs.debian.org
Subject: Re: Incorrect values for root delay and dispersion
Date: Sat, 12 Jun 2010 02:26:00 +0200
> Can you check if this problem still exists at newer packages?
> If you could test it at version 3.9p1+debian-3 would be great.

At a quick glance, nothing has changed in the source code as far as this
issue is concerned.  Please see the function server_dispatch in
server.c.

> If it does, can you provide some logs from server an client(s) ?

Do you have any good reasons to believe that something has changed?

                                        Juliusz




Bug closed, send any further explanations to Juliusz Chroboczek <Juliusz.Chroboczek@pps.jussieu.fr> Request was from Ulises Vitulli <dererk@debian.org> to control@bugs.debian.org. (Thu, 08 Mar 2012 18:33:07 GMT) Full text and rfc822 format available.

Message sent on to Juliusz Chroboczek <Juliusz.Chroboczek@pps.jussieu.fr>:
Bug#436995. (Thu, 08 Mar 2012 18:33:09 GMT) Full text and rfc822 format available.

Message #20 received at 436995-submitter@bugs.debian.org (full text, mbox):

From: Ulises Vitulli <dererk@debian.org>
To: control@bugs.debian.org
Cc: 436995-submitter@bugs.debian.org
Subject: closing 436995
Date: Thu, 08 Mar 2012 15:30:54 -0300
close 436995 
thanks

fixed on experimental





Information forwarded to debian-bugs-dist@lists.debian.org, Ulises Vitulli <dererk@debian.org>:
Bug#436995; Package openntpd. (Thu, 08 Mar 2012 19:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Juliusz Chroboczek <jch@pps.jussieu.fr>:
Extra info received and forwarded to list. Copy sent to Ulises Vitulli <dererk@debian.org>. (Thu, 08 Mar 2012 19:06:04 GMT) Full text and rfc822 format available.

Message #25 received at 436995@bugs.debian.org (full text, mbox):

From: Juliusz Chroboczek <jch@pps.jussieu.fr>
To: Ulises Vitulli <dererk@debian.org>, 436995@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Incorrect values for root delay and dispersion
Date: Thu, 08 Mar 2012 20:03:01 +0100
reopen 436995
thanks

> fixed on experimental

Which version?  Looking at the sources of upstream 4.6, there's no sign
of it being fixed.

-- Juliusz




Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 08 Mar 2012 19:06:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ulises Vitulli <dererk@debian.org>:
Bug#436995; Package openntpd. (Thu, 08 Mar 2012 19:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dererk <dererk@debian.org>:
Extra info received and forwarded to list. Copy sent to Ulises Vitulli <dererk@debian.org>. (Thu, 08 Mar 2012 19:39:06 GMT) Full text and rfc822 format available.

Message #32 received at 436995@bugs.debian.org (full text, mbox):

From: Dererk <dererk@debian.org>
To: Juliusz Chroboczek <jch@pps.jussieu.fr>
Cc: 436995@bugs.debian.org, control@bugs.debian.org
Subject: Re: Incorrect values for root delay and dispersion
Date: Thu, 08 Mar 2012 16:37:31 -0300
[Message part 1 (text/plain, inline)]
tags 436995 confirmed
thanks

On 08/03/12 16:03, Juliusz Chroboczek wrote:
> reopen 436995
> thanks
>
>> fixed on experimental
> Which version?  Looking at the sources of upstream 4.6, there's no sign
> of it being fixed.
>
> -- Juliusz
My bad, I mixed two different bug reports on a separated issue.


Thanks for the head-up!


Cheers,

Dererk

-- 
BOFH excuse #295:
The Token fell out of the ring. Call us when you find it.


[signature.asc (application/pgp-signature, attachment)]

Added tag(s) confirmed. Request was from Dererk <dererk@debian.org> to control@bugs.debian.org. (Thu, 08 Mar 2012 19:39:14 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 07:25:56 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.